# Interface methods for submodule: TemporalRegion
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import RegionProxy as _RegionProxy


# Interface methods for class: TemporalRegion
class TemporalRegionProxy(_RegionProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetRealStart(self, s) -> None:
		""""""
		...

	def GetRealStart(self):
		""""""
		...

	def SetRealDuration(self, d) -> None:
		""""""
		...

	def GetRealDuration(self):
		""""""
		...

	def SetFrameStart(self, s: int) -> None:
		""""""
		...

	def GetFrameStart(self) -> int:
		""""""
		...

	def SetFrameDuration(self, d: int) -> None:
		""""""
		...

	def GetFrameDuration(self) -> int:
		""""""
		...

	def GetRegionType(self):
		""""""
		...

	def IsEqualInFrames(self, region) -> bool:
		""""""
		...

	def IsEqualInRealTime(self, region) -> bool:
		""""""
		...

